#include "PointLight.h"

void PointLight::direction(
    const Eigen::Vector3d & q, Eigen::Vector3d & d, double & max_t) const
{
    d = (p - q); /* Direction towards the light */
    max_t = d.norm(); /* Distance to the light */
    d.normalize(); /* Normalize the direction */
}
